
From: Andi Kleen <ak@suse.de>

From: Takashi Iwai

kobj_lookup had a 64bit bug, which caused the request of a unknown
character device to burn CPU instead of failing quickly.


---

 drivers/base/map.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/base/map.c~kobject-module-request-64-bit-fix drivers/base/map.c
--- 25/drivers/base/map.c~kobject-module-request-64-bit-fix	2004-03-10 20:19:16.000000000 -0800
+++ 25-akpm/drivers/base/map.c	2004-03-10 20:19:16.000000000 -0800
@@ -96,7 +96,7 @@ struct kobject *kobj_lookup(struct kobj_
 {
 	struct kobject *kobj;
 	struct probe *p;
-	unsigned best = ~0U;
+	unsigned long best = ~0UL;
 
 retry:
 	down_read(domain->sem);

_
